Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.tools.reflection
Class ReflectionTools

    java.lang.Object
      org.hibernate.envers.tools.reflection.ReflectionTools

    public class ReflectionTools

extends Object

Constructor Summary
`ReflectionTools()`

Method Summary
`static Getter` | `getGetter(Class cls, PropertyData propertyData)`
`static Getter` | `getGetter(Class cls, String propertyName, String accessorType)`
`static Setter` | `getSetter(Class cls, PropertyData propertyData)`
`static Class<?>` | `loadClass(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectionTools

    public ReflectionTools()

Method Detail

### loadClass

    public static Class<?> loadClass(String name)

### getGetter

    public static Getter getGetter(Class cls,
                                   PropertyData propertyData)

### getGetter

    public static Getter getGetter(Class cls,
                                   String propertyName,
                                   String accessorType)

### getSetter

    public static Setter getSetter(Class cls,
                                   PropertyData propertyData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.